Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary: 	X.Org X11 libXau runtime library
Name: 		libXau
Version: 	1.0.6
Release: 	2
License: 	MIT/X11
Group: 		System/Libraries
URL: 		http://www.x.org
Source0: 	http://xorg.freedesktop.org/releases/individual/lib/%{name}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	i686

BuildRequires: 	pkg-config
BuildRequires: 	xorg-x11-proto-devel

Obsoletes: 	xorg-libs

#Automatically resolved build dependencies
BuildRequires: glibc-devel

%description
X.Org X11 libXau runtime library

%package devel
Summary: 	X.Org X11 libXau development package
Group: 		Development/Libraries
Requires(pre): 	xorg-x11-filesystem >= 0.99.2-3
Requires: 	%{name} = %{version}-%{release}

# xorg-x11-proto-devel needed by xau.pc
BuildRequires: 	xorg-x11-proto-devel

Obsoletes: xorg-devel

%description devel
X.Org X11 libXau development package

%prep
%setup -q -n  %{name}-%{version}

# Disable static library creation by default.
%define with_static 0

%build

%configure \
%if ! %{with_static}
	--disable-static
%endif
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# We intentionally don't ship *.la files
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README INSTALL ChangeLog
%{_libdir}/libXau.so.6
%{_libdir}/libXau.so.6.0.0

%files devel
%defattr(-,root,root,-)
%{_includedir}/X11/Xauth.h
%if %{with_static}
%{_libdir}/libXau.a
%endif
%{_libdir}/libXau.so
%{_libdir}/pkgconfig/xau.pc
%{_mandir}/man3/Xau.3.gz
%{_mandir}/man3/XauDisposeAuth.3.gz
%{_mandir}/man3/XauFileName.3.gz
%{_mandir}/man3/XauGetAuthByAddr.3.gz
%{_mandir}/man3/XauGetBestAuthByAddr.3.gz
%{_mandir}/man3/XauLockAuth.3.gz
%{_mandir}/man3/XauReadAuth.3.gz
%{_mandir}/man3/XauUnlockAuth.3.gz
%{_mandir}/man3/XauWriteAuth.3.gz

%changelog
* Wed Dec 08 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.0.6-2
- rebuilt
* Fri Aug 13 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.0.6-1
- version update
* Mon Oct 19 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.0.5-1
- version update
* Fri May 21 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.0.4-3
- rebuilt
* Fri Feb 27 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.0.4-2
- rebuilt, updated dependencies
* Sat Sep 06 2008 Stefan Gottwald <gotti@ccux-linux.de> 1.0.4-1
- Version update
* Sat Sep 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.3-2
- rebuilt for Xorg 7.3
* Sun Feb 18 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.3-1
- Version update
* Sat Jul 01 2006 Christian Metzen <metzench@ccux-linux.de> 1.0.1-1
- Initial release
